geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Delos Dai (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (GERONIMODEVTOOLS-587) Using GEP to convert an application to a plugin, if add prerequisite module,will encouter an error when install the plugin
Date Tue, 08 Sep 2009 08:58:57 GMT

     [ https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-587?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Delos Dai resolved GERONIMODEVTOOLS-587.
----------------------------------------

       Resolution: Fixed
    Fix Version/s: 2.2.0
                   2.1.5


resolve it with  	#812396 for trunk and #812398 for 2.1.5 branch.

Thanks Rodger for the patch!

> Using GEP to convert an application to a plugin, if add prerequisite module,will encouter
an error when install the plugin
> --------------------------------------------------------------------------------------------------------------------------
>
>                 Key: GERONIMODEVTOOLS-587
>                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-587
>             Project: Geronimo-Devtools
>          Issue Type: Bug
>          Components: eclipse-plugin
>    Affects Versions: 2.2.0
>         Environment: windows xp sp3
> jdk IBM 1.6
> eclipse 3.5
>            Reporter: liangkun
>            Assignee: Tim McConnell
>             Fix For: 2.1.5, 2.2.0
>
>         Attachments: gep_587.patch
>
>
> 1.Start a G server2.2 in eclipse using GEP.
> 2.Double click the server and click the plugin button.
> 3.Click the Convert Apps to Plugins button and create a Geronimo Plugin. 
> 4.Choose the destination of the export plugin and an application want to be converted
the click the next button.
> 5.You will see the page"updating plugin information ",click the next button.
> 6.In the next page ,click button add to add the  prerequisite module, you can try any
prerequisite module which exists in the server.Please leave the version blank.Then click the
next.
> 7.You will find the plugin at the destination you just choose.Install the plugin you
will get the output that the prerequisite module can not be found.
> Check the file Geronimo-plugin.xml and you will find that the version of the prerequisite
module is <ns2:version/>,that is the key why there is no the module and actually if
you want to install the plugin you can just delete the <ns2:version/>.
> By the way ,when I finish converting  an application to a plugin,I can still click next
button,at the beginning I thought the process is not finished but actually it is done and
this is a new process of converting.
> So,if the last button can be set  to finish button that will be fine.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message